# SPDX-FileCopyrightText: 2025 Lubin Bailly <lubin.bailly@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  dgn-hardware = {
    model = "EX4400-24X";
    extensions = [ "EX4400-EM-4Y" ];
  };

  dgn-isp = {
    enable = true;
    admin-ip = "fd26:baf9:d250:8000::1010/64";
  };
  dgn-interfaces = {
    "xe-0/2/0".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [ "all" ];
    };
    "xe-0/0/23".ethernet-switching = {
      interface-mode = "trunk";
      vlans = [ "all" ];
    };

    # debug management
    "me0".inet.addresses = [ "192.168.2.3/24" ];
  };
}
