# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

set -o errexit
set -o nounset
set -o pipefail
shopt -s lastpipe

for sdir in $(colmena eval -E '{ nodes, lib, ... }: builtins.map builtins.toString (lib.unique (lib.concatLists (lib.mapAttrsToList (_: { config, ... }: lib.optionals (lib.hasAttr "age-secrets" config) config.age-secrets.sources) nodes)))' | jq -r '.[]'); do
  (cd "$sdir" && agenix -r)
done
